# class Preloader

#### package openfl.display

#### extends Preloader

Available on all platforms

### Constructor

###

`new (?display:Sprite)`

### Inherited Variables

#### Defined by Preloader

###

`read onlycomplete:Bool`

###

`onComplete:Event<Void ‑> Void> = new Event<Void>()`

###

`onProgress:Event<Int ‑> Int ‑> Void> = new Event<Int -> Int>()`

### Inherited Methods

#### Defined by Preloader

###

`addLibrary (library:AssetLibrary):Void`

###

`addLibraryName (name:String):Void`

###

`create (config:Config):Void`

###

`load ():Void`